OnlyFans API
FanslyConnect Fansly Account

Submit 2FA

Submit the verification code for a pending Fansly challenge (emailed new-IP code or authenticator-app code). If the code is invalid the challenge remains in place so you can retry.

PUT
/api/fansly/authenticate/{fanslyAccount}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly account ID returned by Start Authentication

Request Body

application/json

code*string

The verification code from the creator's email or authenticator app.

Response Body

application/json

curl -X PUT "https://app.onlyfansapi.com/api/fansly/authenticate/fansly_acct_XXXXXXX" \  -H "Content-Type: application/json" \  -d '{    "code": "123456"  }'
{
  "account_id": "fansly_acct_123",
  "display_name": "My Fansly",
  "status": "verifying",
  "is_authenticated": false,
  "needs_code": true,
  "twofa_type": 2,
  "masked_email": "t**@e*****.com",
  "last_error": null,
  "fansly_user_data": null
}